      INCLUDE 'GRAFTYPE.FOR'

      INTEGER i, j
      REAL AxL, angle
      RECORD /WorldRect/ wr

      CALL tInit3
      CALL Init3D(-1,'C:\FOR\LIB\*.FON')
      CALL SetWorldRect(wr, -10.0, -10.0, 10.0, 10.0)
      CALL SetWorldCoordinates(wr)
      CALL SelectColor(15)
      CALL Draw3DAxes(AxL, AxL, AxL)

      CALL WorldRotate3(10.0, 2)
      CALL WorldRotate3(10.0, 1)
      AxL = 5.0
      angle = 3.6
      DO j = 0, 2
        DO i = 0, 99
          CALL WorldRotate3(angle, j)
          CALL SelectColor(15)
          CALL Draw3DAxes(AxL, AxL, AxL)
          CALL SelectColor(3)
          CALL Move3Abs(5.0, .5, 0.0)
          CALL SelectColor(4)
          CALL Label3D('X')
          CALL Move3Abs(0.0, 5.0, .5)
          CALL Label3D('Y')
          CALL Move3Abs(0.5, 0.0, 5.0)
          CALL Label3D('Z')

          CALL SelectColor(0)
          CALL Draw3DAxes(AxL, AxL, AxL)
          CALL Move3Abs(5.0, .5, 0.0)
          CALL Label3D('X')
          CALL Move3Abs(0.0, 5.0, .5)
          CALL Label3D('Y')
          CALL Move3Abs(0.5, 0.0, 5.0)
          CALL Label3D('Z')

        END DO
        read (*,*)
      END DO
      CALL Close3DGraphics

      END

